# Class StartupThreading.StartupRunnable

java.lang.Object
org.eclipse.ui.internal.StartupThreading.StartupRunnable

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `StartupThreading`

public abstract static class StartupThreading.StartupRunnable extends Object implements Runnable

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`StartupRunnable()`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getThrowable()`
`final void`
`run()`
`abstract void`
`runWithException()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StartupRunnable

public StartupRunnable()

## Method Details

### run

public final void run()

Specified by:
  `run` in interface `Runnable`

### runWithException

public abstract void runWithException() throws Throwable

Throws:
  `Throwable`

### getThrowable

public Throwable getThrowable()